Upstream information

CVE-2017-9150 at MITRE

Description

The do_check function in kernel/bpf/verifier.c in the Linux kernel before 4.11.1 does not make the allow_ptr_leaks value available for restricting the output of the print_bpf_insn function, which allows local users to obtain sensitive address information via crafted bpf system calls.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 2.11 1.85
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N AV:L/AC:M/Au:N/C:P/I:N/A:N
Access Vector Local Local
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 4
Vector AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact None None

This issue is currently rated as having moderate severity.

SUSE Bugzilla entry: 1040279 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 42.2
  • kernel-debug >= 4.4.70-18.9.1
  • kernel-debug-base >= 4.4.70-18.9.1
  • kernel-debug-base-debuginfo >= 4.4.70-18.9.1
  • kernel-debug-debuginfo >= 4.4.70-18.9.1
  • kernel-debug-debugsource >= 4.4.70-18.9.1
  • kernel-debug-devel >= 4.4.70-18.9.1
  • kernel-debug-devel-debuginfo >= 4.4.70-18.9.1
  • kernel-default >= 4.4.70-18.9.1
  • kernel-default-base >= 4.4.70-18.9.1
  • kernel-default-base-debuginfo >= 4.4.70-18.9.1
  • kernel-default-debuginfo >= 4.4.70-18.9.1
  • kernel-default-debugsource >= 4.4.70-18.9.1
  • kernel-default-devel >= 4.4.70-18.9.1
  • kernel-devel >= 4.4.70-18.9.1
  • kernel-docs >= 4.4.70-18.9.2
  • kernel-docs-html >= 4.4.70-18.9.2
  • kernel-docs-pdf >= 4.4.70-18.9.2
  • kernel-macros >= 4.4.70-18.9.1
  • kernel-obs-build >= 4.4.70-18.9.1
  • kernel-obs-build-debugsource >= 4.4.70-18.9.1
  • kernel-obs-qa >= 4.4.70-18.9.1
  • kernel-source >= 4.4.70-18.9.1
  • kernel-source-vanilla >= 4.4.70-18.9.1
  • kernel-syms >= 4.4.70-18.9.1
  • kernel-vanilla >= 4.4.70-18.9.1
  • kernel-vanilla-base >= 4.4.70-18.9.1
  • kernel-vanilla-base-debuginfo >= 4.4.70-18.9.1
  • kernel-vanilla-debuginfo >= 4.4.70-18.9.1
  • kernel-vanilla-debugsource >= 4.4.70-18.9.1
  • kernel-vanilla-devel >= 4.4.70-18.9.1
Patchnames:
openSUSE-2017-666


List of planned updates

The following information is the current evaluation information for this security issue. It might neither be accurate nor complete, Use at own risk.
Product(s) Source package
  • SUSE Linux Enterprise Desktop 12 SP2
  • SUSE Linux Enterprise Server 12 SP2
  • SUSE Linux Enterprise Server for SAP 12 SP2
kernel-source